@import url('https://fonts.cdnfonts.com/css/hibernate');

* {
    margin: 0;
    padding: 0;
    scroll-behavior: smooth;
}
h2{
    text-align: center;
    font-family: 'Courier New', Courier, monospace;
    color: white;
    font-size: 30px;
}
/*-----------------------------------------------Nav Bar-------------------------------------------------*/

.navRibbon {
    width: 100%;
    height: 70px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 60px;
}

.navRibbon>a {
    text-decoration: none;
    font-family: 'Leckerli One', cursive;
    text-shadow: 0 0 7px #00d2ff,
        0 0 10px #00d2ff,
        0 0 42px #00d2ff,
        0 0 82px #00d2ff;
    color: brown;
    font-size: 2rem;
}

/*---------------------------------------------------------------Our Culture------------------------------------------------------------*/

.description-box {
    width: 100%;
    height: 450px;
    background-image: url(/assets/joshuva-daniel-U4OS-GimdXA-unsplash.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    box-sizing: border-box;
    font-family: Arial, Helvetica, sans-serif;
    text-align: left;
    font-size: 25px;
    color: white;
    padding: 20px;
    line-height: 60px;

}

.description-text {
    animation: slideFromLeft 0.8s ease-out forwards;
}

@keyframes slideFromLeft {
    0% {
        transform: translateX(-100%);
        /* Starts completely hidden to the left */
        opacity: 0;
        /* Optional: fades in while sliding */
    }

    100% {
        transform: translateX(0);
        /* Ends at its natural position */
        opacity: 1;
    }
}

.Introduction-container {
    display: flex;
    width: 100%;
    border: 2px solid white;
    box-sizing: border-box;
}

.Introduction-video {
    width: 70%;
    background-color: black;
}

.Introduction-photo {
    width: 30%;
    background-image: url(/assets/divyanshi-verma-h3SyJYsqYSo-unsplash.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    box-sizing: border-box;
    border-left: 2px solid white;

}

video {
    width: 100%;
    height: 100%;
    object-fit: contain;
}

/*----------------------------------------------------Snacks----------------------------------------*/
.Snacks-container{
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 680px;
    background-image: url(/assets/aceofnet-I3Em9PGzkzw-unsplash.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    box-sizing: border-box;
    border: 2px solid white;
}

.Snacks-container-inner{
    display: flex;
    width: 98%;
    box-sizing: border-box;
    margin: 20px 10px 20px 10px;
}
.Snacks-container-inner > div{
    width: 100%;
    height: 250px;
    box-sizing: border-box;
}
.Snacks-container-inner > div > img{
    position: relative;
    width: inherit;
    height: inherit;
    box-sizing: border-box;
    border: 2px solid goldenrod;
    border-radius: 25px;
    animation: floatAnimation 3s ease-in-out infinite;
}
/*----------------------------------------------------Sweets----------------------------------------*/
.Sweets-container{
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 680px;
    background-image: url(/assets/manyu-varma-mM6cUV3B9M8-unsplash.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    box-sizing: border-box;
    border: 2px solid white;
}

.Sweets-container-inner{
    display: flex;
    width: 98%;
    box-sizing: border-box;
    margin: 20px 10px 20px 10px;
}
.Sweets-container-inner > div{
    width: 100%;
    height: 250px;
    box-sizing: border-box;
}
.Sweets-container-inner > div > img{
    position: relative;
    width: inherit;
    height: inherit;
    box-sizing: border-box;
    border: 2px solid goldenrod;
    border-radius: 25px;
    animation: floatAnimation 3s ease-in-out infinite;
}

/*----------------------------------------------------Refreshments----------------------------------------*/

.Refreshment-container{
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 500px;
    background-image: url(/assets/pavan-gupta-_HzlOHmboSk-unsplash.jpg);
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    box-sizing: border-box;
    border: 2px solid white;
    justify-content: center;
    align-items: center;
    gap: 50px;
}
.Refreshment-container-inner{
    display: flex;
    justify-content: center;
    gap: 60px;
}
.Refreshment-container > div> img{
    position: relative;
    width: 300px;
    height:400px;
    box-sizing: border-box;
    border: 2px solid goldenrod;
    border-radius: 25px;
    animation: floatAnimation 3s ease-in-out infinite;
}

@keyframes floatAnimation {
  0% {
    transform: translateY(0px);
  }
  50% {
    transform: translateY(-15px); /* Moves upward at the midpoint */
  }
  100% {
    transform: translateY(0px); /* Returns to original position */
  }
}

/*------------------------------------------------------------------Footer---------------------------------------------------*/
.Footer{
    display: flex;
    justify-content: space-around;
    align-items: center;
    width: 100%;
}

.Footer > div{
    color: black;
    text-shadow: 0 0 7px #00d2ff,
        0 0 10px #00d2ff,
        0 0 42px #00d2ff,
        0 0 82px #00d2ff;
    color: brown;
    font-size: 2rem;
}